<?php

if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }

echo "<table border=0 width=80% cellspacing=2 cellpadding=6><tr>
<td align=right class=datacell>
<b>سيتم تثبيت البرنامج الان ...</b><br><br>";

include('./../modules/gallery/admin/information.php');
$query = array(); 
$query[] = "DROP TABLE IF EXISTS rafia_gallery_cat";
$query[] = "DROP TABLE IF EXISTS rafia_gallery_comm";
$query[] = "DROP TABLE IF EXISTS rafia_gallery_image";
$query[] = "CREATE TABLE rafia_gallery_cat (
  gid int(11) NOT NULL auto_increment,
  gtitle varchar(100) NOT NULL default '',
  gdesc varchar(255) NOT NULL default '',
  gimg varchar(100) NOT NULL default '',
  gorder tinyint(4) NOT NULL default '0',
  gcount int(11) NOT NULL default '0',
  PRIMARY KEY  (gid)
)";
$query[] = "CREATE TABLE rafia_gallery_comm (
  cid int(11) NOT NULL auto_increment,
  imgid int(11) NOT NULL default '0',
  uname varchar(30) NOT NULL default '',
  uid int(11) NOT NULL default '0',
  umail varchar(50) NOT NULL default '',
  uip varchar(20) NOT NULL default '',
  `text` varchar(255) NOT NULL default '',
  `date` varchar(15) NOT NULL default '',
  allow tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (cid)
)";
$query[] = "CREATE TABLE rafia_gallery_image (
  imgid int(11) NOT NULL auto_increment,
  imgcat int(11) NOT NULL default '0',
  imgtitle varchar(100) NOT NULL default '',
  imgdesc varchar(255) NOT NULL default '',
  imglink varchar(30) NOT NULL default '',
  imgview int(11) NOT NULL default '0',
  imgdown int(11) NOT NULL default '0',
  username varchar(15) NOT NULL default '',
  userid int(11) NOT NULL default '0',
  userip varchar(50) NOT NULL default '',
  usermail varchar(255) NOT NULL default '',
  rate int(11) NOT NULL default '0',
  rateno int(4) NOT NULL default '0',
  imgdate int(15) default '0',
  allow tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (imgid)
)";

$query[] = "INSERT INTO rafia_mods_settings VALUES ('', 'gallery', 'حماية الرابط الحقيقي للصورة', 'hide_link', '1', 0, 5);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', 'gallery', 'تشغيل مراقبة الصور الجديده', 'parent_eye', '1', 0, 5);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', 'gallery', 'ارتفاع الصور المصغرة بالبكسل', 'thumb_width', '121', 0, 6);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', 'gallery', 'اكبر حجم ممكن للصور المرفوعه بالكيلوبايت', 'size_limit', '1024', 0, 6);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', 'gallery', 'أكبر عرض للصور (افتراضي)', 'pic_width', '550', 0, 6);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', 'gallery', 'عدد الاعمدة في صفحة المعرض الرئيسية', 'Index_Colcount', '2', 0, 3);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', 'gallery', 'عدد الاعمدة في صفحة عرض التصنيف', 'Cat_Colcount', '2', 0, 3);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', 'gallery', 'المجموعات التي تستطيع اضافة صور للمعرض', 'allow_upload', '1,4', 0, 7);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', 'gallery', 'المجموعات التي تستطيع اضافة تعليق للمعرض', 'allow_comm', '1,2,3,4', 0, 7);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', 'gallery', 'المجموعات التي تستطيع تقييم صور المعرض', 'allow_rate', '1,2,3,4', 0, 7);";
$query[] = "INSERT INTO rafia_mods_settings VALUES ('', 'gallery', 'المجموعات التي تستطيع تحرير صور المعرض', 'allow_edit', '1', 0, 7);";

$query[] = "INSERT INTO rafia_mods VALUES ('', '$module', '$mod_title', '$mod_user', 1, '$left_menu','$right_menu','0', '$menuid',1,1,1)";

foreach($query as $line){
if(!$apt->query($line)) {
$query_cid = $k+1;
echo "<table>";
echo "<tr>";
echo "<td><b>عفوا حدث خطأ: </b> عفوا .. الاستعلام رقم  $query_cid  لم يتم تفعيله وذلك بسبب:.<br>\n</td>";
echo "</tr>";
echo "<tr>";
print "<td dir=ltr>" . mysql_error() . '</td>';
echo "</tr>";
echo "<tr>";
echo "<td><b>نص الاستعلام :</b></td>";
echo "</tr>";
echo "<tr>";
echo "<td align=left>$line</td>";
echo "</tr>";
$admin->closetable2();

print "<hr noshade size=\"1\">\n";
$false = true;
}
}
if(!$false == true){
$modid    	= $apt->insertid();
$mod  	= $module;
$theme    	= "الافتراضي";

$themename = "./../modules/gallery/admin/gallery.theme";
$filesize = @filesize($themename);
$filenum  = @fopen($themename,"r");
$filetemp = @fread($filenum,$filesize);
@fclose($filenum);

$design_temp    = explode("|--|",$filetemp);

$result  = $apt->query("SELECT `themeid` FROM `rafia_mods_templates` where modid='$modid' ORDER BY `themeid` DESC limit 1;");
$row=$apt->dbarray($result);
@extract($row);
$themeid = $themeid + 1;
	$result  = $apt->query("INSERT INTO rafia_mods_templates VALUES ('', '1', '$themeid', '', '$modid', '$mod', '$theme', '', '');");

$count    = count($design_temp);
for ($i = 1; $i < $count; $i++){
       $exp     = explode("<=>",$design_temp[$i]);
       $exp[1] = $admin->format_data($exp[1]);
$result  = $apt->query("INSERT INTO rafia_mods_templates VALUES ('', '0', '0', '$themeid', '$modid', '$mod', '', '$exp[0]', '$exp[1]');");
}


$theme    	= "خفيف";

$themename = "./../modules/gallery/admin/gallery2.theme";
$filesize = @filesize($themename);
$filenum  = @fopen($themename,"r");
$filetemp = @fread($filenum,$filesize);
@fclose($filenum);

$design_temp    = explode("|--|",$filetemp);

$result  = $apt->query("SELECT `themeid` FROM `rafia_mods_templates` where modid='$modid' ORDER BY `themeid` DESC limit 1;");
$row=$apt->dbarray($result);
@extract($row);
$themeid = $themeid + 1;
	$result  = $apt->query("INSERT INTO rafia_mods_templates VALUES ('', '1', '$themeid', '', '$modid', '$mod', '$theme', '', '');");

$count    = count($design_temp);
for ($i = 1; $i < $count; $i++){
       $exp     = explode("<=>",$design_temp[$i]);
       $exp[1] = $admin->format_data($exp[1]);
$result  = $apt->query("INSERT INTO rafia_mods_templates VALUES ('', '0', '0', '$themeid', '$modid', '$mod', '', '$exp[0]', '$exp[1]');");
}


}

if($false == true){$wrong='انتهى التثبيت و لكن ظهرت بعض الاخطاء ... يرجى طلب الدعم الفني مع ذكر رسالة الخطأ ورقم الاستعلام';}else{
$wrong='انتهى التثبيت بنجاح';}

echo "<center>$wrong<br><hr><a href=mod.php?act=set&" . $admin->get_sess(). "><b>العودة الى قائمة البرامج الاضافية</b></a></center></td></tr></table>";

?>